﻿.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

#trafficLightListTabContent {
    width: 90%;
}

@media (max-width: 1448px) {
    #trafficLightListTabContent {
        padding-left: 10px;
    }

    #trafficLightListOfContractsGroupingTabs {
        display: inline-flex !important;
    }

        #trafficLightListOfContractsGroupingTabs .nav-link {
            max-width: none !important;
        }

    #trafficLightGroupedTabs {
        padding-left: 10px !important;
        width: 90%;
    }
}

.select2-container {
    z-index: 9999;
    position: revert-layer;
}

.select2-search__field:placeholder-shown {
    width: 100% !important;
}
/*
.select2-search--inline {
    width: 40% !important;
}*/

.mud-table-toolbar {
    padding-inline-end: 16px !important;
}
    .mud-table-toolbar .mud-input-control {
        max-width: 20% !important;
    }

.mud-menu {
    display: none
}

:root {
    --mud-palette-primary: #007A7A !important;
    --mud-palette-primary-darken: #006868 !important;
    --mud-palette-error: #DC3545 !important;
    --mud-palette-error-darken: #C13341 !important;
    --bs-btn-active-border-color: rgba(0, 122, 122, 0.25) !important;
    --mud-palette-action-default-hover: #d4f4f4 !important;
}

/*input:number increment/decrement button disable*/
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

.selectedTime {
    background-color: #007a7a !important;
    justify-content: flex-start;
    color: white !important;
    border: 2px solid #007a7a;
    padding: 5px 10px;
    cursor: pointer;
}

.timeSlot {
    justify-content: flex-start;
    padding: 5px 10px;
    border: 2px solid #ccc;
    background-color: #ffffff;
    cursor: pointer;
}

.dropzone {
    width: 100%;
    padding: 20px;
    border: 2px dashed var(--bs-link-color);
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
}

.badge-success {
    display: inline-block;
    min-width: 10px;
    padding: 4px 7px;
    font-size: 12px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: var(--bs-primary);
    border-radius: 10px;
}

.badge-error {
    display: inline-block;
    min-width: 10px;
    padding: 4px 7px;
    font-size: 12px;
    font-weight: 700;
    line-height: 1;
    color: var(--bs-danger);
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: white;
    border-radius: 10px;
}

.error-content .mud-table-container {
    max-height: 240px !important;
}

.error-content .mud-table-head {
    display: none !important;
}

.mud-table-container {
    max-height: 480px
}

.mud-table-head {
    position: sticky;
    top: 0;
    z-index: 999;
    background-color: white;
}

.mud-checkbox .mud-icon-button {
    color: var(--mud-palette-primary);
}

.history-panel {
    margin: 10px 0;
}

.error-content .content {
    padding: 10px;
}

.child-row {
    width: 50% !important;
    text-align: center;
}
    .child-row .mud-table-container {
        max-height: none !important;
    }

.mud-simple-table table thead {
    position: sticky !important;
    top: 0;
    z-index: 1;
    background-color: white;
}

.search-bar-button {
    z-index: 10 !important;
}

.child-row-table {
    margin-left: 33px !important;
    margin-right: 50px !important;
}

.mud-data-grid-child-row {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    background-color: #f9f9f9;
}

.tab-content-m {
    border-right: 1px solid var(--mud-palette-table-lines);
    border-left: 1px solid var(--mud-palette-table-lines);
    border-bottom: 1px solid var(--mud-palette-table-lines);
}

.nav.nav-tabs .nav-item .nav-link {
    justify-content: center !important;
    text-align: center !important;
}

ul.nav-tabs li.nav-item:first-child {
    border-left: 1px solid var(--mud-palette-table-lines);
}

ul.nav-tabs li.nav-item:last-child {
    border-right: 1px solid var(--mud-palette-table-lines);
}

.mud-table-row {
    vertical-align: top;
}

/*------------reports--------------*/
.menu-tile {
    background-color: #007A7A;
    color: white;
    width: 140px;
    height: 140px;
    border: 3px solid #007A7A;
}

    .menu-tile:hover {
        background-color: white;
        color: #007A7A;
        cursor: pointer;
    }

        .menu-tile:hover .menu-tile-icon {
            font-size: 45px;
        }

        .menu-tile:hover .show-hide {
            display: block;
        }

.show-hide {
    display: none;
}

.menu-tile-icon {
    font-size: 40px;
}

.menu-tile-text {
    font-size: 16px;
    font-weight: bold;
    line-height: 17px;
}

.error-tile-text {
    font-size: 10px !important;
    color: #007A7A;
}

/*------------reports--------------*/

/* Slide-in animation */
@keyframes slideIn {
    from {
        transform: translateY(-100%);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

/* Slide-out animation in banner*/
@keyframes slideOut {
    from {
        transform: translateY(0);
        opacity: 1;
    }

    to {
        transform: translateY(-100%);
        opacity: 0;
    }
}

.modal-content {
    transition: opacity 0.3s ease;
}

    .modal-content.open {
        opacity: 1;
        pointer-events: auto;
        animation: slideIn 0.5s ease forwards;
    }

    .modal-content.close {
        animation: slideOut 0.5s ease forwards;
    }
/* Slide-out animation in banner*/

/*banner image resize disable*/
.banner-flex .ql-editor img {
    resize: none;
    pointer-events: none;
}

.nav-link-banner {
    display: block;
    text-decoration: none;
    background: none;
    color: white;
    border-radius: .375rem;
    border: 1px solid White;
}

    .nav-link-banner:hover {
        background-color: black;
        color: #fcfb9f !important;
        border: 1px solid #fcfb9f;
    }

.start-98 {
    left: 98% !important;
}
/*banner image resize disable*/

.custom-grid .mud-table-row:hover {
    cursor: pointer;
}

/*----------------Start - help page-------------------------------*/
.mud-dialog-container.mud-dialog-topright .mud-dialog {
    width: 50% !important;
    padding-right: 24px;
    padding-left: 24px;
}

.mud-dialog-content .card {
    border: unset;
}

.help-dialog-header .card-body {
    padding-left: unset;
    padding-right: unset;
    padding-top: unset;
}

.mud-dialog .mud-dialog-content {
    padding: unset;
}

.mud-action-sticky {
    position: sticky;
    bottom: 0px;
    background-color: white;
}

.mud-title-sticky {
    position: sticky;
    top: 0px;
    background-color: white;
    border-bottom: 3px solid #007a7a !important;
}

.mud-dialog .mud-dialog-title {
    padding: 8px 0px;
}

    .mud-dialog .mud-dialog-title .mud-button-close {
        top: 2px;
        right: -12px;
        position: absolute;
    }

#helpPage .sidebar {
    background-color: var(--white-color);
    color: var(--black-color);
    top: .5rem;
    overflow: auto;
    height: 30%;
    position: sticky;
    margin-right: 3px;
    width: 350px;
    border-right: 3px solid #f3f1f3 !important;
}

.toc-list {
    background: white;
    border: 1px solid gray;
    display: inline-block;
    padding: 20px;
    list-style-type: none;
}

    .toc-list ul {
        list-style-type: none;
    }

    .toc-list a {
        color: #007a7a;
    }
/* Styling for Headings */

.help-dialog-body {
    margin-bottom: 50px;
}

    .help-dialog-body h1 {
        padding-bottom: 10px;
        border-bottom: solid #007A7A;
    }

.toc-heading {
    margin-left: 10px;
    margin-bottom: 3px;
}

    .toc-heading a {
        cursor: pointer;
    }

/* Styling for Subheadings */
.toc-subheading {
    margin-left: 20px;
    margin-bottom: 3px;
}

    .toc-subheading a {
        cursor: pointer;
    }

/*text editor font*/
.blazored-text-editor {
    font-family: Poppins, 'Helvetica Neue' !important;
}

/*scroll sup button*/
#scrollUpBtn {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    font-size: 18px;
    border: none;
    outline: none;
    color: white;
    background-color: black;
    cursor: pointer;
    border-radius: 50%;
    height: 30px;
    width: 30px;
}
/*----------------End - help page-------------------------------*/


/*----------------Start - holding page-------------------------------*/
.holding-page .icons {
    position: relative;
    width: 150px;
    height: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    margin: 0px;
}

    .holding-page .icons span {
        position: absolute;
    }

.holding-page .shipping-fast {
    z-index: 2;
    font-size: 55px;
    color: #6c757d;
}

.holding-page .wrench-middle {
    z-index: 2;
    font-size: 30px;
    color: #0f4a03;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(45deg); /* Initial rotation */
    animation: wrenchSwing 1.5s infinite alternate; /* Apply the animation */
    transform-origin: center center; /* Ensure it rotates around its center */
}

.holding-page .warehouse {
    z-index: 1;
    color: #f43207;
    font-size: 90px;
}

.holding-page .content {
    color: #000;
    font-size: 14px;
    align-content: center;
    padding: 2px;
}

@keyframes wrenchSwing {
    from {
        transform: translate(-50%, -50%) rotate(35deg); /* Slightly less rotated */
    }

    to {
        transform: translate(-50%, -50%) rotate(55deg); /* Slightly more rotated */
    }
}

/*----------------End - holding page-------------------------------*/

@media screen and (min-width: 1024px) and (max-width: 1366px) {
    #helpPage .sidebar {
        background-color: var(--white-color);
        color: var(--black-color);
        top: .5rem;
        overflow: auto;
        height: 30%;
        position: sticky;
        margin-right: 3px;
        width: 550px;
        border-right: 3px solid #f3f1f3 !important;
    }
}

@media print {
    body {
        visibility: hidden;
    }

    #help-dialog-body {
        visibility: visible;
        position: absolute;
        left: 0;
        top: -150px;
        padding-left: 5px;
        page-break-before: avoid;
        page-break-after: avoid;
    }

    .help-toc {
        display: none !important;
    }

    .help-main-body {
        width: 100% !important;
    }
}